# Root Logger
log4j.rootLogger=INFO, CONSOLE

#Loggers
log4j.logger.org.hibernate=ERROR
log4j.logger.es.dalocar=DEBUG
log4j.logger.es.dalocar.software.daos=DEBUG
log4j.logger.org.apache=ERROR
log4j.logger.org.apache.commons.validator=INFO
log4j.logger.org.springframework=ERROR


# El appender SOCKET se asigna a un SocketAppender
log4j.appender.SOCKET=org.apache.log4j.net.SocketAppender
log4j.appender.SOCKET.RemoteHost=localhost
log4j.appender.SOCKET.Port=4445
log4j.appender.SOCKET.LocationInfo=true
log4j.appender.SOCKET.Threshold=DEBUG


# El appender CONSOLE se asigna a un ConsoleAppender
log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
log4j.appender.CONSOLE.Threshold=DEBUG
log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
log4j.appender.CONSOLE.layout.ConversionPattern=%d{ABSOLUTE} %-5p %-32c{3}: %-26M:%3L - %m%n


# El appender EMAIL se asigna a un SMTPAppender
log4j.appender.EMAIL=org.apache.log4j.net.SMTPAppender
log4j.appender.EMAIL.Threshold=ERROR
log4j.appender.EMAIL.SMTPHost=198.100.100.248
log4j.appender.EMAIL.From=Replicacion_Almacen@saloni.com
log4j.appender.EMAIL.Subject=TrackException : %s
log4j.appender.EMAIL.To=fgalindo@saloni.com,freina@saloni.com
log4j.appender.EMAIL.LocationInfo=true
log4j.appender.EMAIL.layout=org.apache.log4j.PatternLayout
log4j.appender.EMAIL.layout.ConversionPattern=%d{ABSOLUTE} %-5p %-32c{3}: %-26M:%3L - %m%n


# El appender FILE se asigna a un RollingFileAppender
log4j.appender.FILE=org.apache.log4j.RollingFileAppender
log4j.appender.FILE.Threshold=INFO
log4j.appender.FILE.File=logs/log4j.log
log4j.appender.FILE.MaxFileSize=500KB
log4j.appender.FILE.MaxBackupIndex=1
log4j.appender.FILE.layout=org.apache.log4j.PatternLayout
log4j.appender.FILE.layout.ConversionPattern=%d{dd/MM/yyyy hh:mm:ss} [%t] %-5p %c %m:%L - %m%n


